Subject: Re: [PATCH v2 00/10] sysfs: constify struct bin_attribute (Part 1)

From: Bjorn Helgaas <[email-masked]>
Date: Tue, 5 Nov 2024 10:15:50 -0600

On Sun, Nov 03, 2024 at 05:03:29PM +0000, Thomas Weißschuh wrote:
> struct bin_attribute contains a bunch of pointer members, which when
> overwritten by accident or malice can lead to system instability and
> security problems.
> Moving the definitions of struct bin_attribute to read-only memory
> makes these modifications impossible.
> The same change has been performed for many other structures in the
> past. (struct class, struct ctl_table...)

Throughout series, it would be more readable if you added blank lines
between paragraphs.